### org.jfree.layouting.renderer.model

# Class BoxLayoutProperties

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.BoxLayoutProperties`

Implemented Interfaces:
  Cloneable, Serializable

`public class BoxLayoutProperties`
`extends java.lang.Object`
`implements Serializable, Cloneable`

A static properties collection. That one is static; once computed it does not change anymore. It does not (under no thinkable circumstances) depend on the given content. It may depend on static content of the parent. A box typically has two sets of margins. The first set is the declared margin set - it simply expresses the user's definitions. The second set is the effective margin set, it is based on the context of the element in the document tree and denotes the distance between the nodes edge and any oposite edge.

Author:
  Thomas Morgner

  ## Constructor Summary

  `BoxLayoutProperties()`

  ## Method Summary

  `Object`

  `clone()`

  `long`

  `getEffectiveMarginBottom()`

  `long`

  `getEffectiveMarginTop()`

  `long`

  `getMarginCloseState()`

  `long`

  `getMarginOpenState()`

  `long`

  `getMarginState()`

  `boolean`

  `isInfiniteMarginBottom()`

  `boolean`

  `isInfiniteMarginTop()`

  `void`

  `setEffectiveMarginBottom(long effectiveMarginBottom)`

  `void`

  `setEffectiveMarginTop(long effectiveMarginTop)`

  `void`

  `setInfiniteMarginBottom(boolean infiniteMarginBottom)`

  `void`

  `setInfiniteMarginTop(boolean infiniteMarginTop)`

  `void`

  `setMarginCloseState(long marginCloseState)`

  `void`

  `setMarginOpenState(long marginOpenState)`

  `void`

  `setMarginState(long marginState)`

  `String`

  `toString()`

## Constructor Details

### BoxLayoutProperties

    public BoxLayoutProperties()

## Method Details

### clone

    public Object clone()
                throws CloneNotSupportedException

### getEffectiveMarginBottom

    public long getEffectiveMarginBottom()

### getEffectiveMarginTop

    public long getEffectiveMarginTop()

### getMarginCloseState

    public long getMarginCloseState()

### getMarginOpenState

    public long getMarginOpenState()

### getMarginState

    public long getMarginState()

### isInfiniteMarginBottom

    public boolean isInfiniteMarginBottom()

### isInfiniteMarginTop

    public boolean isInfiniteMarginTop()

### setEffectiveMarginBottom

    public void setEffectiveMarginBottom(long effectiveMarginBottom)

### setEffectiveMarginTop

    public void setEffectiveMarginTop(long effectiveMarginTop)

### setInfiniteMarginBottom

    public void setInfiniteMarginBottom(boolean infiniteMarginBottom)

### setInfiniteMarginTop

    public void setInfiniteMarginTop(boolean infiniteMarginTop)

### setMarginCloseState

    public void setMarginCloseState(long marginCloseState)

### setMarginOpenState

    public void setMarginOpenState(long marginOpenState)

### setMarginState

    public void setMarginState(long marginState)

### toString

    public String toString()